Download it now!
Bug 85549 - Personas lost upgrading from 4.3 to 4.4
Summary: Personas lost upgrading from 4.3 to 4.4
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-28 09:45 UTC by Peter Maunder
Modified: 2016-03-05 18:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Maunder 2014-10-28 09:45:44 UTC
Existing Personas is lost upgrading from 4.3 / 4.2 to 4.4. 

Expected Behaviour: Existing Persona should be migrated to 4.3
Found behaviour: PersonaSettings is deleted and Persona must be reinstalled. 

This is due to the new sub-folder created for each Persona added to the /gallery/personas/ folder. 
The new  PersonaSettings tag has changed to match the new folders. Thus the PersonaSettings entries require /sub-folder/filename instead of /filename/ 
PersonaSettings entries without the sub-folder are deleted. 
 
For example 

4.2 for Personas Header.jpg and Footer.jpg

<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="PersonaSettings" oor:op="fuse"><value>Header.jpg;Footer.jpg;#ff0000;#f5f5f5</value></prop></item>

Changes  in 4.3 using a new sub-folder to 

<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="PersonaSettings" oor:op="fuse"><value>Magnanerie personas/Header.jpg;Magnanerie personas/Footer.jpg;#ff0000;#f5f5f5</value></prop></item>
Where /Magnanerie personas/ is a new sub-folder added to the /Persona/ by me.
Comment 1 Adolfo Jayme 2014-10-28 20:52:22 UTC
Thank you for your bug report.
Comment 2 Peter Maunder 2014-12-20 17:13:13 UTC
I am pleased to say that I upgraded from 4.3 to 4.4.0.1 and both header and footer personas were kept as well as the font colour providing I did not modify any personalisation setting. (TOOLS > OPTIONS > Personalisation) 

Thank you for that. 

However, if you turn off the setting to "Default Setting do not use Themes" and reselect "Own Theme" the setting will be lost, and the Personas must be moved to a new sub-folder and the registrymodifications.xcu file entry for "PersonasSettings" remodified as described above.
Comment 3 Michael Jonas 2015-04-06 14:04:18 UTC
Since the instructions for the work-around (Themes) is well beyond my capability, is the "bug" being corrected in the next upgrade (4.4.3)?
Comment 4 Peter Maunder 2015-04-10 16:22:44 UTC
Update for LibO 4.4.2.2

I am using LibO 4.3.4.1 running under Linux Mint Mate 17. And also LibO 4.4.2.2.
My themes are in a separate Folder .config/libreoffice/4/User/Gallery/Personas/Magnanerie personas. 
Both header and footer are defined and also Font text has been turned to X"F5F5F5". In 4.3 and previous versions, all the Themes (Personas) are kept in the same /Personas folder. This means that the folders have changed but the migration of 4.3 to 4.4 does not manage this change. I manually changed the .xcu PersonasSetting entry to reflect the folder change. 4.3 is happy with this change. 

To confirm that I can switch between "Default Look Do not use Themes" and "Own Theme" When using LibO 4.3.4.1. I can stop 4.3 when the theme is active and restart 4.4.2.2. In this case both Header and footer are shown when in Writer.

However, if I turn off the theme  with 4.4.2.2 using "Default Look Do not use Themes" and turn the theme back using "Own Theme", the PersonasSetting has been lost from the .xcu file, and I need to modify it again.

If I stay with "Own Theme" setting, I can switch back and forth between 4.3 and 4.4.

As I do not download themes from the Internet I can manage this upgrade on my and my wife's system. However, this does not help the casual user wanting to use themes and 4.4

Hope this helps...Peter
Comment 5 Peter Maunder 2015-05-08 16:40:56 UTC
To confirm that this problem is still there with  LibO 5.0.0.0.alpha1. 
 LibO 5.0 stores its information in the .config/libreofficedev folder and 4.4 in .config/libreoffice.
Installing LibO 5 on Linux Mint Mate 17, the existing folder containing the active Personas is copied across from 4.4,  and just the selected header and footer are copied across. Any other Personas in the same folder are left behind. Peter
Comment 6 Peter Maunder 2015-12-07 11:45:11 UTC
Still there with 5.1.0.0.beta2. I know there has been some user interest with improving the Personas setup usability. The current function appears to be over 'sophisticated' clumsy and difficult to understand and use. I realise that this is just a pretty optional facility but I have found it is great for marketing...Peter
Comment 7 Keith Curtis 2016-03-05 18:58:41 UTC
LibreOffice 4.x is now EOL. I doubt this minor bug will ever get fixed. Let's just forget about it and move on.